# Driver-Individual Migration Script

## Overview

The Driver-Individual Migration Scripts is responsible for fetching all existing drivers in the system and subsequently generating creates corresponding individuals in the system.

## Build

The data migration has been implemented in Vendor Service with latest stable build -&#x20;

```
vendor:develop-fc828adcbe-31
```

## API Spec

[Link](https://github.com/egovernments/SANITATION/blob/master/API-CONTRACTS/fsm/Vendor_Registration_Contract.yaml)

## MDMS Roleaction Mapping

File Path -&#x20;

{% code title="actions-test.json" %}

```json
 {
      "id": 376,
      "name": "Migrate Driver Data to Individual",
      "url": "/vendor/v1/_migrate",
      "displayName": "Migrate Driver Data to Individual",
      "orderNumber": 0,
      "enabled": false,
      "serviceCode": "vendor",
      "code": "null",
      "path": ""
    }
```

{% endcode %}

File Path -&#x20;

{% code title="roleactions.json" %}

```json
{
      "rolecode": "FSM_ADMIN",
      "actionid": 376,
      "actioncode": "",
      "tenantId": "pg"
    }
```

{% endcode %}

Please use FSM\_ADMIN credentials for accessing this API.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.digit.org/sanitation/water-sanitation/release-notes/driver-individual-migration-script.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
